# $Revision: 1.15 $, $Date: 2002/05/12 23:53:45 $
Summary:	High level cross-platform "environment" libraries based on Fltk
Summary(pl):	Wysykopoziomowe midzyplatformowe biblioteki "rodowiskowe" bazujce na Fltk
Name:		flek
Version:	0.2
Release:	3
License:	GPL
Group:		X11/Libraries
Source0:	ftp://flek.sourceforge.net/pub/%{name}/%{name}-%{version}.agenda.tar.gz
Patch0:		%{name}-DESTDIR.patch
URL:		http://flek.sourceforge.net/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fltk-devel >= 1.0.11-3
BuildRequires:	libjpeg-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
Flek hopes to provide the same layer of functionality for Fltk that
Gnome and KDE do for the Gtk and Qt toolkits, respectively.
Applications written with Flek should work cooperatively with
applications written in either Gnome or KDE. Flek does not necessarily
intend to become a self contained desktop environment and we don't
plan on duplicating the work of either Gnome or KDE in this regard.
Aren't there enough IRC clients? ;-)

%description -l pl
Flek ma zapewni ten sam poziom funkcjonalnoci dla Fltk, co GNOME i
KDE dla Gtk i Qt. Aplikacje korzystajce z Fleka powinny wsppracowa
z aplikacjami pisanymi dla GNOME lub KDE. Flek nie ma koniecznie
zosta samodzielnym rodowiskiem desktopu i nie jest planowane, by
powiela prac GNOME lub KDE w tym zakresie.

%package devel
Summary:	Flek header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja programisty Fleka
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Flek header files and development documentation.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty Fleka.

%package static
Summary:	Flek static libraries
Summary(pl):	Biblioteki statyczne Fleka
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Flek static libraries.

%description static -l pl
Biblioteki statyczne Fleka.

%prep
%setup  -q -n %{name}-%{version}.agenda
%patch0 -p1

%build
aclocal
autoconf
cp -f /usr/share/automake/config.* .
%configure \
	--with-fltk=%{_prefix}
%{__make} src

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf README Changelog

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%doc docs
%{_includedir}/Flek
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: flek.spec,v $
Revision 1.15  2002/05/12 23:53:45  kloczek
- regenerate config.* files.

Revision 1.14  2002/05/12 23:17:30  marcus
- rel.3.

Revision 1.13  2002/04/25 16:18:30  arturs
fixed a small typo

Revision 1.12  2002/03/19 15:20:17  ankry
- fixed URLs

Revision 1.11  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.8  2001/11/27 09:33:45  qboosh
- pl translations

Revision 1.7  2001/10/03 16:44:25  filon
- changed req for main subpkg in static subpkg to devel
- release 2
